<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetProperty Method (IEdmRefItem)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRefItem Interface : GetProperty Method (IEdmRefItem)

Visual Basic
C#
C++/CLI

eProperty
  Type of property for which to get a value as defined in EdmRefItemProperty

poValue
  Property value

Gets the value of the specified property of this item.

# Syntax

Visual Basic |
--- | ---

    Function GetProperty( _
       ByVal eProperty As EdmRefItemProperty, _
       ByRef poValue As System.Object _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetProperty(
       EdmRefItemProperty eProperty,
       out System.object poValue
    )

C++/CLI |
--- | ---

    System.bool GetProperty(
    &   EdmRefItemProperty eProperty,
    &   [Out] System.Object^ poValue
    )

#### Parameters

eProperty
  Type of property for which to get a value as defined in EdmRefItemProperty
poValue
  Property value

#### Return Value

True if this property can be modified, false if not

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_INVALIDARG: One of the arguments is invalid.

# See Also

####

IEdmRefItem Interface
IEdmRefItem Members

# Availability

SOLIDWORKS PDM Professional Version 6.4